> For the complete documentation index, see [llms.txt](https://docs.airops.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.airops.com/api-reference-1/apps.md).

# Apps

Endpoints for listing and retrieving app information.

## Retrieve all apps

> &#x20;Returns all the \*\*apps\*\*.&#x20;

```json
{"openapi":"3.0.1","info":{"title":"API V1","version":"v1"},"tags":[{"name":"Apps","description":"Endpoints for listing and retrieving app information."}],"servers":[{"url":"https://api.airops.com","variables":{"defaultHost":{"default":"api.airops.com"}}}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"type":"http","scheme":"bearer"}},"schemas":{"App":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"background_color":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"active_version_id":{"type":"integer"},"emoji":{"type":"string"},"public":{"type":"boolean"},"uuid":{"type":"string","maxLength":36,"minLength":36},"readme":{"type":"string"}}}}},"paths":{"/public_api/airops_apps":{"get":{"summary":"Retrieve all apps","description":" Returns all the **apps**. ","tags":["Apps"],"responses":{"200":{"description":"Apps found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/App"}}}}},"401":{"description":"Authentication error"}}}}}}
```

## Retrieve an app

> &#x20;Returns the \*\*app\*\* with the given uuid.&#x20;

```json
{"openapi":"3.0.1","info":{"title":"API V1","version":"v1"},"tags":[{"name":"Apps","description":"Endpoints for listing and retrieving app information."}],"servers":[{"url":"https://api.airops.com","variables":{"defaultHost":{"default":"api.airops.com"}}}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"type":"http","scheme":"bearer"}},"parameters":{"app_uuid":{"name":"app_uuid","in":"path","required":true,"schema":{"type":"string"},"description":"The app uuid, you can find the app uuid by going to the App => Integrate"}},"schemas":{"App":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"background_color":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"active_version_id":{"type":"integer"},"emoji":{"type":"string"},"public":{"type":"boolean"},"uuid":{"type":"string","maxLength":36,"minLength":36},"readme":{"type":"string"}}}}},"paths":{"/public_api/airops_apps/{app_uuid}":{"get":{"summary":"Retrieve an app","description":" Returns the **app** with the given uuid. ","tags":["Apps"],"operationId":"getApp","parameters":[{"$ref":"#/components/parameters/app_uuid"}],"responses":{"200":{"description":"App found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/App"}}}},"401":{"description":"Authentication error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.airops.com/api-reference-1/apps.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
